- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
hsv2rgb
Complete List of ArrayFire Functions ArrayFire Functions by Category » Image Processing » | Colorspace conversions

HSV to RGB colorspace converter. More...

## Functions
AFAPI array | hsv2rgb (const array &in)
| C++ Interface for converting HSV to RGB. More...
AFAPI af_err | af_hsv2rgb (af_array *out, const af_array in)
| C Interface for converting HSV to RGB. More...

## Detailed Description

HSV to RGB colorspace converter.

HSV (Hue, Saturation, Value), also known as HSB (hue, saturation, brightness), is often used by artists because it is more natural to think about a color in terms of hue and saturation than in terms of additive or subtractive color components (as in RGB). HSV is a transformation of RGB colorspace; its components and colorimetry are relative to the RGB colorspace from which it was derived. Like RGB, HSV also uses 3 values per pixel.

RGB (Red, Green, Blue) is the most common format used in computer imaging. RGB stores individual values for red, green and blue, and hence the 3 values per pixel. A combination of these three values produces the gamut of unique colors.

## Function Documentation

AFAPI af_err af_hsv2rgb | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for converting HSV to RGB.

Parameters

  [out] | out | is an array in the RGB color space
  [in] | in | is an array in the HSV color space

Returns
  AF_SUCCESS if the color transformation is successful, otherwise an appropriate error code is returned.

Note
  `in` must be three dimensional

AFAPI array af::hsv2rgb | ( | const array & | in | ) |

C++ Interface for converting HSV to RGB.

Parameters

  [in] | in | is an array in the HSV colorspace

Returns
  array in RGB colorspace

Note
  `in` must be three dimensional